
Foreman - Bug #4907

User new hosts end up in the wrong location

03/27/2014 02:56 PM - Xavier Naveira

Status: New   

Priority: Normal   

Assignee:    

Category: Organizations and Locations   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.4.1

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Running an instance of Foreman 1.4.1 working together with ovirt/puppet/dns/dhcp

As administrator I can create hosts just fine.

I create a non administrative user and I assign one domain and one location to it.

When logging in as the user I can only see the hosts assigned to the location linked to the user.

When creating a new host as the user, the form doesn't show the location dropdown list (that's ok as there is one location to choose

from).

If I look to the source of the creatio form the right location is chosen but when the machine is created (after pressing submit) it is

linked to another location making the machine inaccessible to the user that originally created it.

History

#1 - 03/27/2014 03:02 PM - Dominic Cleal

- Category set to Organizations and Locations

#2 - 03/27/2014 03:16 PM - Xavier Naveira

I forgot to say that the user is configured wit "Edit hosts" as a role.

I'd need it to be able to see the "Virtual Machine" tab in the "New Host" form when selecting Ovirt as Compute resource, it is hidden now.

Powered by TCPDF (www.tcpdf.org)

05/17/2024 1/1

http://www.tcpdf.org

